Subject: Re: [PATCH net-next 5/6] sfc: neighbour lookup for TC encap action offload

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Jun 2023 16:00:40 -0700

On Wed, 7 Jun 2023 21:51:35 +0100 Edward Cree wrote:
> Fair point.  Guessing that applies to the netns reference as well?

Yes. I should add that to the checker..

> (Though looking back I honestly can't remember why we need to hold
>  the neigh->net reference for the life of efx_neigh_binder; but I
>  presumably had some reason for it at the time and I'm leery of
>  removing it now in case it's load-bearing.
>  Chesterton's Fence and all that.)

You don't seem to be doing much with the reference, just holding it.
Your call.